## rgb2bayer rgb2bayer |

## Types and Values

struct | GstRGB2Bayer

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstRGB2Bayer

## Description

## Synopsis

### Element Information

plugin | bayer
author | David Schleef <ds@entropywave.com>
class | Filter/Converter/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)ARGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-bayer, format=(string){ bggr, gbrg, grbg, rggb }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstRGB2Bayer

    struct GstRGB2Bayer;